Public Member Functions | Public Attributes | List of all members
libzmf::Cell Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Cell ()

## Public Attributes
Text | text
boost::optional< Fill > | fill
boost::optional< Pen > | leftBorder
boost::optional< Pen > | rightBorder
boost::optional< Pen > | topBorder
boost::optional< Pen > | bottomBorder

## Constructor & Destructor Documentation

## ◆ Cell()

libzmf::Cell::Cell | ( |  | ) |
| inline

## Member Data Documentation

## ◆ bottomBorder

boost::optional<Pen> libzmf::Cell::bottomBorder

Referenced by libzmf::ZMFCollector::collectTable().

## ◆ fill

boost::optional<Fill> libzmf::Cell::fill

Referenced by libzmf::ZMFCollector::collectTable().

## ◆ leftBorder

boost::optional<Pen> libzmf::Cell::leftBorder

Referenced by libzmf::ZMFCollector::collectTable().

## ◆ rightBorder

boost::optional<Pen> libzmf::Cell::rightBorder

Referenced by libzmf::ZMFCollector::collectTable().

## ◆ text

Text libzmf::Cell::text

Referenced by libzmf::ZMFCollector::collectTable().

## ◆ topBorder

boost::optional<Pen> libzmf::Cell::topBorder

Referenced by libzmf::ZMFCollector::collectTable().

The documentation for this struct was generated from the following file:

- ZMFTypes.h